# Class RegexConstraint

java.lang.Object
com.codename1.ui.validation.RegexConstraint

All Implemented Interfaces:
  `Constraint`

public class RegexConstraint extends Object implements Constraint
Creates a validation constraint based on a regular expression

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegexConstraint(String regex, String errorMessage)`
  Creates a new regex constraint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultFailMessage()`
  Includes the error message for the constraint
  `boolean`
  `isValid(Object value)`
  Indicates if the given value is valid or not
  `static Constraint`
  `validEmail()`
  Generates a valid email constraint by using a regular expression
  `static Constraint`
  `validEmail(String errorMessage)`
  Generates a valid email constraint by using a regular expression
  `static Constraint`
  `validURL()`
  Generates a valid URL constraint by using a regular expression
  `static Constraint`
  `validURL(String errorMessage)`
  Generates a valid URL constraint by using a regular expression

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegexConstraint

    public RegexConstraint(String regex, String errorMessage)

    Creates a new regex constraint

    ###### Parameters

    - `regex`: the regular expression

    - `errorMessage`: the default error message if the constraint fails

- ## Method Details

  - ### validEmail

    public static Constraint validEmail(String errorMessage)

    Generates a valid email constraint by using a regular expression

    ###### Parameters

    - `errorMessage`: error message for the constraint

    ###### Returns

    a constraint that will fail if the input isn't a valid email

  - ### validEmail

    public static Constraint validEmail()

    Generates a valid email constraint by using a regular expression

    ###### Returns

    a constraint that will fail if the input isn't a valid email

  - ### validURL

    public static Constraint validURL(String errorMessage)

    Generates a valid URL constraint by using a regular expression

    ###### Parameters

    - `errorMessage`: error message for the constraint

    ###### Returns

    a constraint that will fail if the input isn't a valid email

  - ### validURL

    public static Constraint validURL()

    Generates a valid URL constraint by using a regular expression

    ###### Returns

    a constraint that will fail if the input isn't a valid email

  - ### isValid

    public boolean isValid(Object value)

    Indicates if the given value is valid or not

    ###### Parameters

    - `value`: the value for the object

    ###### Returns

    true if the value is valid and false otherwise

    Specified by:
      `isValid` in interface `Constraint`

  - ### getDefaultFailMessage

    public String getDefaultFailMessage()

    Includes the error message for the constraint

    ###### Returns

    the text of the error message for a constraint

    Specified by:
      `getDefaultFailMessage` in interface `Constraint`